

@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

body{
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  line-height: 1.4;
}

h2, h3{
  text-align: center;
  font-weight: bold;
  font-size: 20px;
}

strong{
  font-style: italic;
}
.contacto h3{
  padding: 5px;
  color:#20aeae;
  background-color: #d8c670;
  border-bottom: 2px solid #20aeae;
}

.recomendaciones p {
  font-style: italic;
  ;
}

strong{
  font-weight: bold;
}

.icono{
  display: inline-flex;
}

.recomendaciones{
  font-weight:900;
  padding: 20px;
  max-width: 100%;
  background-color: #d8c670;
  color:rgba(32, 174, 174);
  border-end-end-radius: 10px;
  border-end-start-radius: 10px;
  text-align: center;
  display: flex;
  margin: 0 auto;
  cursor: pointer;
  scale: 1.1;
  align-items: baseline;
  box-shadow: 0 0 5px 0 black;
}


.recomendaciones h4{
  font-size: 1.3rem;
  margin-right: 10px;
  color: white;
  
}



.customSpan {
  margin:0 0 10px 4px;  
  text-decoration: wavy;
  border:1px solid white;
  border-radius: 10px;
  padding: 10px;
}



.slidein {
  animation-duration: 3s;
  animation-name: slidein;
  animation-iteration-count: 1;
  animation-direction: alternate;
}


@keyframes slidein {
  from {
    margin-left: 100%;
    width: 300%;
  }

  to {
    margin-left: 0%;
    width: 100%;
  }
}

.recomendaciones h4{
  font-style: italic;
  font-weight: bolder;
}
.subtituloh2{
  text-align: center;
}

a, a:link, a:visited, a:active{
  text-decoration: none;
  list-style: none;
  color: black;
}

.cabecera {
  position: relative;
  width: 100%;
  height: 200px; 
}

.menu {
  width: 100%;
  display: inline-flex;
  /*background-color: rgba(32, 174, 174, .2);
  box-shadow: 2px 2px 10px 4px rgba(218, 209, 168);
  box-shadow: 0px 0px 10px 0px rgba(218, 209, 168);*/
  
  border-bottom:2px solid #dad1a8;
  border-top:2px solid #dad1a8;
 
  position: absolute;
  top: 200px;
}

.contenedor-menu-horizontal {
  width: 960px;
}

.cabecera-logo{
  width: 100%;
}

.cabecera-info a{
  width: 100%;
  display: flex;
  position: absolute;
  margin-right: 0;
  
}

.menu-horizontal ul{
  display: inline-flex;
  position: relative;
}

.menu-horizontal li > a{
  display: inline-block;
  color: #d8c670;
  padding: 15px 15px;
  text-decoration: none;
  text-align: center;
  width: 240px;
  font-weight: bold;
  font-size: 1.3rem;
}

.menu-horizontal ul > li:hover{
  background-color: #20aeae;
 /* border-bottom:2px solid #dad1a8;
  border-left:2px solid #dad1a8;
  border-right:2px solid #dad1a8;*/
  border-radius: 5px;
  transition-duration: .5s;
  transition-timing-function: ease;
  outline: none;
  border: none;

}

.menu-horizontal a:hover{
  color: white;

}
.centrar {
  width: 960px;
  margin-right: auto;
  margin-left: auto;
}

.cabecera-info > .contacto{
  width: 22%;
  height: 100px;
  border-radius: 3px;
  position: relative;
  bottom: 110px;
}

.contacto{
  position: relative;
  top: 30px;
  width: 200px;
  margin-right: 0;
  background-color: rgba(32, 174, 174, .2);
  box-shadow: 2px 1px 10px 4px rgba(218, 209, 168);
  
}
 
.contacto:hover{
 transform: scale(1.1);
 transition: .5s ease;
 box-shadow: 0 0 5px 0 #20aeae;
}

.contacto p {
  color:#20aeae;  
  text-align: center;
  font-size: 1.3rem;
  padding: 5px;
  line-height: 1.2;

}

.contacto h3 {
font-size: 1.3rem;

}

.contacto a{
  padding: 2px;
  width: 100%;
  color: #20aeae;
  left: 0;
  line-height: 1.1;
  font-size: 1.4ch;
}


.contacto a:hover{
  color: white;

}

.contacto a[href]{
  display: flex;
  justify-content: center;
}



.logo-img {
  object-fit: contain;
  top: 20px;
  height: 170px;
}

.icon-wsp img{
  width: 14%;
  height: 14%;
  position: absolute;
  display: inline-flex;
  top: 81%;
  left: 10%;
  object-fit: contain;
}

.icon-telefono img{
  width: 14%;
  height: 14%;
  position: absolute;
  display: inline-flex;
  top: 57%;
  left: 10%;
  object-fit: contain;
}

.icon-telefono2 img{
  width: 14%;
  height: 14%;
  position: absolute;
  display: inline-flex;
  top: 35%;
  left: 10%;
  object-fit: contain;
}
 


/*------------------------MAIN-------------------------------*/

.main-cont main{
  position: relative;
  margin-top: 70px;
  margin-bottom: 10px;
  background-color: rgba(32, 174, 174, .2);
  box-shadow: 2px 1px 10px 4px rgba(218, 209, 168);
  box-shadow: 0px 0px 10px 0px rgba(218, 209, 168);
  color: #868585;
}


.main-productos, .main-contacto, .main-somos{
  
  color:#868585;
  position: relative;
  padding: 20px;
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  line-height: 1.4;
}

 object {
  display: flex;
  margin: 0 auto;
  
}

.main-productos-flex{
  display: flex;
  flex-wrap: wrap;
  position: relative;
}

.div-main-prod {
  position: relative;
  width: 250px;
  height: 35vh;
  margin: 5px;
  margin-top: 40px;
  margin-left: auto;
  margin-right: auto;
  border: 2px solid rgba(32, 174, 174);
  border-radius: 15px;
  /*background-color: #88dff5;
  background-color: rgba(32, 174, 174, .5);*/
}



.div-main-prod figcaption {
  position: absolute;
  background-color: rgba(32, 174, 174, .6);
  color: #fff;
  font: italic smaller sans-serif;
  padding: 3px;
  text-align: center;
  bottom: 0;
  width: 100%;
  border-bottom-left-radius: 13px;
  border-bottom-right-radius: 13px;
}


.div-main-prod img{
  object-fit: cover;
  border-radius: 15px;
  
}

.div-main-prod:hover{
  transform: scale(1.1);
  z-index: 999;
  transition: .5s ease;
  box-shadow: 0px 0px 5px 0px #20aeae;
}


.div-div-main-prod{
  position: relative;
  bottom: 0;
  height: 10vh;
  width: 100%;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  /*background-color: rgb(136, 223, 245);*/

}

h2 ~ p{
  margin-top: 20px;
  margin-bottom: 20px;
  
}

.main-contacto {
  display: flex;
}

.contactanos{
  display: relative;
  border-radius: 10px;
  width: 100%;
  margin-left: 10px;
 /* box-shadow: 0px 0px 20px  rgba(218, 209, 168);*/
 border: 2px solid rgba(218, 209, 168, .7);
  max-width: 100%;
}

.main-ubicacion{
  border-radius: 10px;
  /*box-shadow: 0px 0px 20px rgba(218, 209, 168);*/
  border: 2px solid rgba(218, 209, 168, .7);
  width: 100%;
}

/****************** Estilos formulario ***********************/

.main-form {
  --form-ok-color: #4caf50;
  --form-error-color: #f44336;
  display: inline-block;
  padding: 10px;
  width: 100%;

}

.main-form label{
  display: block;
  text-align: center;
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
}

textarea {
  display: flex;
  margin: 0 auto;
  width: 80%;
  height: 110px;
  border-radius: 5px;
  margin-top: 40px;
  margin-bottom: 10px;
  border-radius: 5px 5px;
  max-width: 100%;
  resize: none;
}

.contact-form-response{
  text-align: center;
  font-weight: bold;
}

textarea:focus{
  background-color: #dad1a8;
}

textarea::placeholder{
  font-family: 'Montserrat', sans-serif; 
  padding-top: 20px;
  text-align: center;
  font-size: 1.1rem;
}

.contactanos .frm-txt{
  width: 80%;
  display: flex;
  flex-direction: row;
  margin: 0 auto;
  height: 30px;
  border-radius: 5px 5px; 
}

.main-form .frm-txt:focus{
  background-color: #dad1a8;
}


.enviar {
  display: absolute;
  top: 0;
  bottom: 0;
  width: 150px;
  margin-left: 35%;
  height: 30px;
  border: 2px solid #dad1a8;
  opacity: 1;
  background-color: rgba(32, 174, 174, .0);
  color: rgb(32, 174, 174);
  border-radius: 20px;
  font-size:1rem;
  cursor: pointer;
  
}

.enviar:hover{
  background-color:#20aeae;
  color:white;
  transition: 1s ease;
  box-shadow: 2px 5px 10px rgba(32, 174, 174, .7);
  opacity: .6;
}

.frame{
  padding: 5px;
}

.contactanos h3 {
  text-align: center;
}

.main-form [required]:valid{
  border: thin solid var(--form-ok-color);
}
/*
.main-form [required]:invalid{
  border: thin solid var(--form-error-color);
}

*/



/*------------------Pie de página-----------------*/


.pie{
  
  width: 100%;
  height: 250px;
  /*background-color: rgba(32, 174, 174, .7);*/
  background: radial-gradient(#12baba, #dad1a8 );
  border-top: 3px solid #dad1a8;
  display: flex;
  bottom: 0;
  color: white;
  position: relative;
  top:0;
  display: flex;
  border-bottom: thick solid white;
  
  
}

.pie-datos{
  /*border-right: solid 2px #dad1a8;*/
  padding-left: 70px;
  padding-top: 20px;
  flex-shrink: 1;
  width: 33.3%;
  font-size: 1.2rem;
}

.pie-datos ul a{
  display: flex;
  color: white;
  flex-shrink: 1;
 
}


.pie-datos li a:hover{
  color: #d8c670;
  flex-shrink: 1;
 
}

.pie-horario{

  padding: 20px;
  /*border-right: solid 2px #dad1a8;*/
  width: 33.3%;
  text-align: center;
  font-size: 1.2rem;
}

.forma-pago img{
 
  display: flex;
  object-fit: cover;
  position: relative;
  width: 400px;
  background-position: right;
  right: 0;
  margin-top: 30px;
  }

  .forma-pago figcaption{
    position: absolute;
    top: 1vw;
    right: 14vw;
    font-size: 1.2rem;
  }

.copyright{
  text-align: center;
  color:white;
  background-color: #dad1a8;
  padding: 5px;
  font-size: 1.2rem;
}

.pie-datos img{
  width: 14%;
  height: 14%;
  position: absolute;
  display: inline-flex;
  top: 10vw;
  left: 16vw;
  object-fit: contain;
}

.medio-pago{  
  display: inline-block;
  position: absolute;
  top: 10vw;
  margin-left: 10vw;
  
}

.medio-pago object{
 padding-top: 10px;
  width: 160px;
}

.medio-pago h3{
font-size: 1.2rem;
 }


 /* ********************* Estilos SOMOS ***********************/

 .nuestro-gim{
  width: 100%;
  margin-top: 25px;
  margin-bottom: 25px;
 }

.contenedor-img{
  position: relative;
  display: flex;
  border-top:10px solid #12baba;
  border-bottom:10px solid #12baba;
  border-left:15px solid #12baba;
  border-right:15px solid #12baba;
  padding: 100px;
  width: 50%;
  margin-top: 10px;
  margin: 0 auto;
  margin-bottom: 10px;
}

.img-gim{
max-width: 220px;
max-height: 150px;

}

.nuestro-gim h3{
  margin-bottom: 25px;
}


.somos-taller{
  list-style:square;
  margin-left: 20px;
  line-height: 1.7;
}

.main-somos h2{
  margin-bottom: 25px;
}










